#!/usr/bin/env python3

import os
import sys
sys.path.append('CDSCFG_CFG')
import subprocess
import stdenv3 as cds;

print("**INIT_ENV without arguments**")
cds.INIT_ENV()
print("site is " + cds.site + ", number " + str(cds.IFONUM) + ", ifo " + cds.ifo)
print("date line is " + cds.DATELINE)
if "PATH" in os.environ:
    print("env path is " + os.environ["PATH"])
else:
    print("env path is **UNDEFINED**")

if "LD_LIBRARY_PATH" in os.environ:
    print("env library path is " + os.environ["LD_LIBRARY_PATH"])
else:
    print("env library path is **UNDEFINED**")

if "PERL5LIB" in os.environ:
    print("env Perl path is " + os.environ["PERL5LIB"])
else:
    print("env Perl path is **UNDEFINED**")

p = subprocess.Popen(['which caget'], stdout=subprocess.PIPE, shell=True)
wh_caget = p.stdout.read()
wh_caget_str = wh_caget.decode('utf-8')
print("location of EPICS caget: " + wh_caget_str)
p = subprocess.Popen(['which diag'], stdout=subprocess.PIPE, shell=True)
wh_diag = p.stdout.read()
wh_diag_str = wh_diag.decode('utf-8')
print("location of GDS diag: " + wh_diag_str)
print("MEDM is in " + cds.MEDMDIR)


print("ASC is " + cds.ASC + ", LSC is " + cds.LSC)
print("")

print("**INIT_ENV(0) test**")
cds.INIT_ENV(0)
print("site is " + cds.site + ", number " + str(cds.IFONUM) + ", ifo " + cds.ifo)
print("date line is " + cds.DATELINE)
print("env path is " + os.environ["PATH"])
print("MEDM is in " + cds.MEDMDIR)
print("ASC is " + cds.ASC + ", LSC is " + cds.LSC)
print("")

print("**INIT_ENV(1) test**")
cds.INIT_ENV(1)
print("site is " + cds.site + ", number " + str(cds.IFONUM) + ", ifo " + cds.ifo)
print("date line is " + cds.DATELINE)
print("env path is " + os.environ["PATH"])
print("MEDM is in " + cds.MEDMDIR)
print("ASC is " + cds.ASC + ", LSC is " + cds.LSC)

